Name:          python-tz
Version:       2014.10
Release:       1mamba
Summary:       World Timezone Definitions for Python
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://pytz.sourceforge.net
Source:        http://pypi.python.org/packages/source/p/pytz/pytz-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
pytz brings the Olson tz database into Python.
This library allows accurate and cross platform timezone calculations using Python 2.3 or higher.
It also solves the issue of ambiguous times at the end of daylight savings, which you can read more about in the Python Library Reference (datetime.tzinfo).

%prep
%setup -q -n pytz-%{version}

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.filelist
%defattr(-,root,root)
%doc CHANGES.txt LICENSE.txt README.txt

%changelog
* Fri Mar 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2014.10-1mamba
- update to 2014.10

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2012h-2mamba
- python 2.7 mass rebuild

* Sun Nov 04 2012 Automatic Build System <autodist@mambasoft.it> 2012h-1mamba
- automatic version update by autodist

* Wed Oct 31 2012 Automatic Build System <autodist@mambasoft.it> 2012g-1mamba
- automatic version update by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 2012f-1mamba
- automatic version update by autodist

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 2012d-1mamba
- automatic version update by autodist

* Sat Mar 10 2012 Automatic Build System <autodist@mambasoft.it> 2012b-1mamba
- automatic version update by autodist

* Sat Mar 12 2011 Automatic Build System <autodist@mambasoft.it> 2011c-1mamba
- automatic update by autodist

* Mon Oct 11 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2010l-1mamba
- package created by autospec
